Loading...
Searching...
No Matches
elastix::ResampleInterpolatorBase< TElastix > Class Template Reference
Components » ResampleInterpolators | Core » Component Base Classes

`#include <elxResampleInterpolatorBase.h>`

## Detailed Description

template<class TElastix>
class elastix::ResampleInterpolatorBase< TElastix >

This class is the elastix base class for all ResampleInterpolators.

This class contains all the common functionality for ResampleInterpolators.

Definition at line 43 of file elxResampleInterpolatorBase.h.

Inheritance diagram for elastix::ResampleInterpolatorBase< TElastix >:
[legend]

## Public Types

using | CoordRepType = ElastixBase::CoordRepType
using | ElastixType
using | InputImageType = typename ElastixType::MovingImageType
using | ITKBaseType = itk::InterpolateImageFunction<InputImageType, CoordRepType>
using | ParameterMapType = typename ElastixType::ParameterMapType
using | RegistrationType
using | Self = ResampleInterpolatorBase
using | Superclass = BaseComponentSE<TElastix>
Public Types inherited from elastix::BaseComponentSE< TElastix >
using | ElastixType = TElastix
using | RegistrationType = typename ElastixType::RegistrationBaseType
using | Self = BaseComponentSE
using | Superclass = BaseComponent

## Public Member Functions

virtual int | BeforeAllTransformix ()
void | CreateTransformParameterMap (ParameterMapType &parameterMap) const
ITKBaseType * | GetAsITKBaseType ()
const ITKBaseType * | GetAsITKBaseType () const
virtual const char * | GetClassName () const
| ITK_DISALLOW_COPY_AND_MOVE (ResampleInterpolatorBase)
virtual void | ReadFromFile ()
void | WriteToFile (std::ostream &transformationParameterInfo) const
Public Member Functions inherited from elastix::BaseComponentSE< TElastix >
void | AddTargetCellToIterationInfo (const char *const name)
const Configuration * | GetConfiguration () const
ElastixType * | GetElastix () const
auto & | GetIterationInfoAt (const char *const name)
RegistrationType * | GetRegistration () const
| ITK_DISALLOW_COPY_AND_MOVE (BaseComponentSE)
void | RemoveTargetCellFromIterationInfo (const char *const name)
void | SetConfiguration (const Configuration *_arg)
void | SetElastix (ElastixType *_arg)
Public Member Functions inherited from elastix::BaseComponent
virtual void | AfterEachIteration ()
virtual void | AfterEachIterationBase ()
virtual void | AfterEachResolution ()
virtual void | AfterEachResolutionBase ()
virtual void | AfterRegistration ()
virtual void | AfterRegistrationBase ()
virtual int | BeforeAll ()
virtual int | BeforeAllBase ()
virtual void | BeforeEachResolution ()
virtual void | BeforeEachResolutionBase ()
virtual void | BeforeRegistration ()
virtual void | BeforeRegistrationBase ()
virtual const char * | elxGetClassName () const
const char * | GetComponentLabel () const
| ITK_DISALLOW_COPY_AND_MOVE (BaseComponent)
| itkTypeMacroNoParent (BaseComponent)
void | SetComponentLabel (const char *label, unsigned int idx)

## Protected Member Functions

| ResampleInterpolatorBase ()=default
| ~ResampleInterpolatorBase () override=default
Protected Member Functions inherited from elastix::BaseComponentSE< TElastix >
| BaseComponentSE ()=default
| ~BaseComponentSE () override=default
Protected Member Functions inherited from elastix::BaseComponent
| BaseComponent ()=default
virtual | ~BaseComponent ()=default

## Private Member Functions

virtual ParameterMapType | CreateDerivedTransformParameterMap () const
| elxDeclarePureVirtualGetSelfMacro (ITKBaseType)

## Additional Inherited Members

Static Public Member Functions inherited from elastix::BaseComponent
template<typename TBaseComponent>
static auto | AsITKBaseType (TBaseComponent *const baseComponent) -> decltype(baseComponent->GetAsITKBaseType())
static void | InitializeElastixExecutable ()
static bool | IsElastixLibrary ()
Protected Attributes inherited from elastix::BaseComponentSE< TElastix >
Configuration::ConstPointer | m_Configuration {}
itk::WeakPointer< TElastix > | m_Elastix {}
RegistrationType * | m_Registration {}

## Member Typedef Documentation

## CoordRepType

template<class TElastix>

using elastix::ResampleInterpolatorBase< TElastix >::CoordRepType = ElastixBase::CoordRepType

Definition at line 61 of file elxResampleInterpolatorBase.h.

## ElastixType

template<class TElastix>

using elastix::BaseComponentSE< TElastix >::ElastixType

Elastix typedef.

Definition at line 57 of file elxBaseComponentSE.h.

## InputImageType

template<class TElastix>

using elastix::ResampleInterpolatorBase< TElastix >::InputImageType = typename ElastixType::MovingImageType

Typedef's from elastix.

Definition at line 60 of file elxResampleInterpolatorBase.h.

## ITKBaseType

template<class TElastix>

using elastix::ResampleInterpolatorBase< TElastix >::ITKBaseType = itk::InterpolateImageFunction<InputImageType, CoordRepType>

Other typedef's.

Definition at line 64 of file elxResampleInterpolatorBase.h.

## ParameterMapType

template<class TElastix>

using elastix::ResampleInterpolatorBase< TElastix >::ParameterMapType = typename ElastixType::ParameterMapType

Typedef that is used in the elastix dll version.

Definition at line 67 of file elxResampleInterpolatorBase.h.

## RegistrationType

template<class TElastix>

using elastix::BaseComponentSE< TElastix >::RegistrationType

RegistrationType; NB: this is the elx::RegistrationBase not an itk::Object or something like that.

Definition at line 62 of file elxBaseComponentSE.h.

## Self

template<class TElastix>

using elastix::ResampleInterpolatorBase< TElastix >::Self = ResampleInterpolatorBase

Standard ITK stuff.

Definition at line 49 of file elxResampleInterpolatorBase.h.

## Superclass

template<class TElastix>

using elastix::ResampleInterpolatorBase< TElastix >::Superclass = BaseComponentSE<TElastix>

Definition at line 50 of file elxResampleInterpolatorBase.h.

## Constructor & Destructor Documentation

## ResampleInterpolatorBase()

template<class TElastix>

elastix::ResampleInterpolatorBase< TElastix >::ResampleInterpolatorBase | ( |  | ) |

protected default

The constructor.

## ~ResampleInterpolatorBase()

template<class TElastix>

elastix::ResampleInterpolatorBase< TElastix >::~ResampleInterpolatorBase | ( |  | ) |

override protected default

The destructor.

## Member Function Documentation

## BeforeAllTransformix()

template<class TElastix>

virtual int elastix::ResampleInterpolatorBase< TElastix >::BeforeAllTransformix | ( |  | ) |

inline virtual

Execute stuff before the actual transformation:

- nothing here

Definition at line 89 of file elxResampleInterpolatorBase.h.

## CreateDerivedTransformParameterMap()

template<class TElastix>

virtual ParameterMapType elastix::ResampleInterpolatorBase< TElastix >::CreateDerivedTransformParameterMap | ( |  | ) | const

inline private virtual

Reimplemented in elastix::BSplineResampleInterpolator< TElastix >, elastix::BSplineResampleInterpolatorFloat< TElastix >, elastix::RayCastResampleInterpolator< TElastix >, and elastix::ReducedDimensionBSplineResampleInterpolator< TElastix >.

Definition at line 116 of file elxResampleInterpolatorBase.h.

## CreateTransformParameterMap()

template<class TElastix>

void elastix::ResampleInterpolatorBase< TElastix >::CreateTransformParameterMap | ( | ParameterMapType & | parameterMap | ) | const

Function to create transform-parameters map.

## elxDeclarePureVirtualGetSelfMacro()

template<class TElastix>

elastix::ResampleInterpolatorBase< TElastix >::elxDeclarePureVirtualGetSelfMacro | ( | ITKBaseType |  | ) |

private

## GetAsITKBaseType() [1/2]

template<class TElastix>

ITKBaseType * elastix::ResampleInterpolatorBase< TElastix >::GetAsITKBaseType | ( |  | ) |

inline

Retrieves this object as ITKBaseType.

Definition at line 71 of file elxResampleInterpolatorBase.h.

## GetAsITKBaseType() [2/2]

template<class TElastix>

const ITKBaseType * elastix::ResampleInterpolatorBase< TElastix >::GetAsITKBaseType | ( |  | ) | const

inline

Retrieves this object as ITKBaseType, to use in const functions.

Definition at line 79 of file elxResampleInterpolatorBase.h.

## GetClassName()

template<class TElastix>

virtual const char * elastix::ResampleInterpolatorBase< TElastix >::GetClassName | ( |  | ) | const

virtual

Run-time type information (and related methods).

Reimplemented in elastix::BSplineResampleInterpolator< TElastix >, elastix::BSplineResampleInterpolatorFloat< TElastix >, elastix::LinearResampleInterpolator< TElastix >, elastix::NearestNeighborResampleInterpolator< TElastix >, elastix::RayCastResampleInterpolator< TElastix >, and elastix::ReducedDimensionBSplineResampleInterpolator< TElastix >.

## ITK_DISALLOW_COPY_AND_MOVE()

template<class TElastix>

elastix::ResampleInterpolatorBase< TElastix >::ITK_DISALLOW_COPY_AND_MOVE | ( | ResampleInterpolatorBase< TElastix > |  | ) |

## ReadFromFile()

template<class TElastix>

virtual void elastix::ResampleInterpolatorBase< TElastix >::ReadFromFile | ( |  | ) |

virtual

Function to read transform-parameters from a file.

Reimplemented in elastix::BSplineResampleInterpolator< TElastix >, elastix::BSplineResampleInterpolatorFloat< TElastix >, elastix::RayCastResampleInterpolator< TElastix >, and elastix::ReducedDimensionBSplineResampleInterpolator< TElastix >.

## WriteToFile()

template<class TElastix>

void elastix::ResampleInterpolatorBase< TElastix >::WriteToFile | ( | std::ostream & | transformationParameterInfo | ) | const

Function to write transform-parameters to a file.

Generated on 1768596610 for elastix by 1.15.0 |